Bug 1997784 (CVE-2021-39149)

Summary: CVE-2021-39149 xstream: Arbitrary code execution via unsafe deserialization of com.sun.corba.*
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abenaiss, aileenc, akoufoud, alazarot, almorale, anstephe, aos-bugs, ataylor, bibryam, bmontgom, chazlett, drieden, eparis, etirelli, extras-orphan, ggaughan, gmalinko, gvarsami, hbraun, ibek, janstey, java-sig-commits, jburrell, jcoleman, jnethert, jochrist, jokerman, jolee, jrokos, jross, jschatte, jstastny, jwon, krathod, kverlaen, ldimaggi, lkundrak, mizdebsk, mnovotny, nstielau, nwallace, pantinor, pbhattac, pdelbell, pjindal, rrajasek, rwagner, sponnaga, tcunning, tkirby, tzimanyi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: xstream 1.4.18 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in xstream, a simple library used to serialize objects to XML and back again. This flaw allows a remote attacker to load and execute arbitrary code from a remote host by manipulating the processed input stream. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-25 14:09:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1997785, 1998642    
Bug Blocks: 1997804    

Description Guilherme de Almeida Suckevicz 2021-08-25 19:17:55 UTC
XStream is a simple library to serialize objects to XML and back again. In affected versions this vulnerability may allow a remote attacker to load and execute arbitrary code from a remote host only by manipulating the processed input stream. No user is affected, who followed the recommendation to setup XStream's security framework with a whitelist limited to the minimal required types. XStream 1.4.18 uses no longer a blacklist by default, since it cannot be secured for general purpose.

References:
https://github.com/x-stream/xstream/security/advisories/GHSA-3ccq-5vw3-2p6x
https://x-stream.github.io/CVE-2021-39149.html

Comment 1 Guilherme de Almeida Suckevicz 2021-08-25 19:18:21 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1997785]

Comment 10 errata-xmlrpc 2021-10-25 06:51:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3956 https://access.redhat.com/errata/RHSA-2021:3956

Comment 11 Product Security DevOps Team 2021-10-25 14:09:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-39149

Comment 12 errata-xmlrpc 2021-11-23 10:36:14 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4767 https://access.redhat.com/errata/RHSA-2021:4767

Comment 13 errata-xmlrpc 2021-12-02 16:18:44 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4918 https://access.redhat.com/errata/RHSA-2021:4918

Comment 14 errata-xmlrpc 2022-01-26 15:53:57 UTC
This issue has been addressed in the following products:

  RHPAM 7.12.0

Via RHSA-2022:0296 https://access.redhat.com/errata/RHSA-2022:0296

Comment 15 errata-xmlrpc 2022-01-26 16:58:38 UTC
This issue has been addressed in the following products:

  RHDM 7.12.0

Via RHSA-2022:0297 https://access.redhat.com/errata/RHSA-2022:0297

Comment 16 errata-xmlrpc 2022-02-14 13:07:42 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.3.0

Via RHSA-2022:0520 https://access.redhat.com/errata/RHSA-2022:0520